ci.test {bnlearn} | R Documentation

## Independence and conditional independence tests

### Description

Perform an independence or a conditional independence test.

### Usage

    ci.test(x, y, z, data, test, B, debug = FALSE)

### Arguments

`x` | a character string (the name of a variable), a data frame, a numeric vector or a factor object.
`y` | a character string (the name of another variable), a numeric vector or a factor object.
`z` | a vector of character strings (the names of the conditioning variables), a numeric vector, a factor object or a data frame. If `NULL` an independence test will be executed.
`data` | a data frame containing the variables to be tested.
`test` | a character string, the label of the conditional independence test to be used in the algorithm. If none is specified, the default test statistic is the mutual information for categorical variables, the Jonckheere-Terpstra test for ordered factors and the linear correlation for continuous variables. See `independence tests` for details.
`B` | a positive integer, the number of permutations considered for each permutation test. It will be ignored with a warning if the conditional independence test specified by the `test` argument is not a permutation test.
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent.

### Value

An object of class `htest` containing the following components:

`statistic` | the value the test statistic.
`parameter` | the degrees of freedom of the approximate chi-squared or t distribution of the test statistic; the number of permutations computed by Monte Carlo tests. Semiparametric tests have both.
`p.value` | the p-value for the test.
`method` | a character string indicating the type of test performed, and whether Monte Carlo simulation or continuity correction was used.
`data.name` | a character string giving the name(s) of the data.
`null.value` | the value of the test statistic under the null hypothesis, always 0.
`alternative` | a character string describing the alternative hypothesis.

### Author(s)

Marco Scutari

### See Also

`independence tests`, `choose.direction`, `arc.strength`.

### Examples

    data(gaussian.test)
    data(learning.test)

    # using a data frame and column labels.
    ci.test(x = "F" , y = "B", z = c("C", "D"), data = gaussian.test)
    # using a data frame.
    ci.test(gaussian.test)
    # using factor objects.
    attach(learning.test)
    ci.test(x = F , y = B, z = data.frame(C, D))

[Package bnlearn version 4.7.1 Index]